Bug 45347 - EDITING: AutoCorrect not working if there is a comment on the word in question
Summary: EDITING: AutoCorrect not working if there is a comment on the word in question
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: x86-64 (AMD64) Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 66078 (view as bug list)
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2012-01-28 13:58 UTC by olddeath
Modified: 2019-07-18 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olddeath 2012-01-28 13:58:22 UTC
Problem description: 
If a comment arrow points to a word (or directly in front of it), AutoCorrect will not work.

Steps to reproduce:
1. Open a new document and make sure you have the automatic correction for "hepl" to "help" in your list of words to correct automatically.
2. Enter a comment in the fist line. What's in the comment does not matter.
3. Write "hepl". Make sure there is no space between the comment arrow and "hepl".
4. Hit space. Normally, "hepl" should be corrected to "help" now. It isn't.

Current behavior:
No auto correction.

Expected behavior:
Auto correction for the word with the comment.

Platform (if different from the browser):
Win7 x64
              
Browser: Opera/9.80 (Windows NT 6.1; U; en) Presto/2.10.229 Version/11.61
Comment 1 Jean-Baptiste Faure 2012-01-29 10:28:17 UTC
I reproduce the problem with all versions I tested (3.3.4, 3.4.5, 3.5.0 rc2+ with FR UI) but I do not know how it may occur in normal work: step to reproduce:
I tried with the French word nœud (EN: node): if I type "noeud" auto-correction change it in nœud.
step 1 : type noe
step 2 : insert a comment by ctrl+alt+C, type something in the comment
step 3 : click just after the letter e and continue to type the word: ud
step 4 : hit space bar

current behavior : auto-correction does nothing

2nd test :
1/ open a new empty text document
2/ insert a comment on the first line by ctrl+maj+C and type something in the comment
3/ click at the start of the first line and type noeud + space

current behavior : auto-correction works (noeud becomes nœud) and the comment arrow points on the blank character after the word. You can continue to type, the comment arrow remains at end of your text.


Best regards. JBF
Comment 2 tommy27 2013-06-22 21:15:16 UTC
(In reply to comment #1)
> I reproduce the problem with all versions I tested (3.3.4, 3.4.5, 3.5.0 rc2+
> with FR UI) .... snip ....

changing version number to 3.3.4 and confirming that issue is still present in LibO 4.0.4
Comment 3 Jorendc 2013-06-24 13:24:43 UTC
*** Bug 66078 has been marked as a duplicate of this bug. ***
Comment 4 QA Administrators 2015-03-16 22:46:36 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2015-03-18 05:42:39 UTC
I still reproduce the problem with LibreOffice 4.4.3.0.0+ as I described in comment #1.
However there is a change between step 2 and step 3 for test #1:
1/ if I click after the letter where the comment is anchored, the comment anchor moves with the cursor (it is always at the end of the text) and the auto-correction works but I can't write after the comment. It is the same situation as my second test in comment #1
2/ if I leave the comment by hitting the escape key, the comment anchor does not move and the auto-correction does not work.

Test #2: same behavior.

Best regards. JBF
Comment 6 tommy27 2016-04-16 07:22:29 UTC Comment hidden (obsolete)
Comment 7 Rune Juhl Jacobsen 2016-04-16 13:04:56 UTC
(In reply to tommy27 from comment #6)

I can confirm that the bug is still present in the form that Jean-Baptiste Faure describes in comment #5.

Platform: Debian stretch amd64
LibreOffice version: 5.1.2.1.0 (Build ID: 1:5.1.2~rc1-1)
Comment 8 QA Administrators 2017-05-22 13:21:33 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2017-07-06 14:25:44 UTC
Behavior has changed at least since 5.3.3 RC2 :
- both tests in comment #1 work as expected
but
- the following does not work :
1/ based on the same scenario, type no
2/ insert a comment between n and o : move the cursor between n and o, then hit ctrl+alt+C
3/ move the cursor after o then continue to type und and hit the space bar

expected behavior: noeud is corrected in nœud
observed behavior: nothing happens.

Best regards. JBF
Comment 10 QA Administrators 2018-07-07 02:39:15 UTC Comment hidden (obsolete)
Comment 11 Jean-Baptiste Faure 2018-07-17 10:00:40 UTC
Nothing changed since comment #9.
Tested with LO 6.1.0.1.0+ under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 12 QA Administrators 2019-07-18 02:48:53 UTC
Dear olddeath,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug